lkml.org 
[lkml]   [2019]   [Jul]   [3]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 20/22] mm: move hmm_vma_fault to nouveau
On Mon, Jul 01, 2019 at 08:20:18AM +0200, Christoph Hellwig wrote:
> hmm_vma_fault is marked as a legacy API to get rid of, but quite suites
> the current nouvea flow. Move it to the only user in preparation for
> fixing a locking bug involving caller and callee.
>
> Signed-off-by: Christoph Hellwig <hch@lst.de>
> drivers/gpu/drm/nouveau/nouveau_svm.c | 54 ++++++++++++++++++++++++++-
> include/linux/hmm.h | 54 ---------------------------
> 2 files changed, 53 insertions(+), 55 deletions(-)

I was thinking about doing exactly this too, but amdgpu started using
this already obsolete API in their latest driver :(

So, we now need to get both drivers to move to the modern API.

Jason

\
 
 \ /
  Last update: 2019-07-03 20:05    [W:0.162 / U:2.560 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site